<?php
use TestProject\Quiz;
require_once 'init.php';

$quizzes_arr = Quiz::getList();
?>
<!doctype html>
<html lang=en_GB>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<title>Basic PHP Quiz</title>
		<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
	</head>
	<body>
		<div class="container">
			<header class="row">
				<div class="col">
					<h1 class="text-center">Basic PHP Quiz</h1>
				</div>
			</header>
			<main>
				<form method="POST" action="quiz.php">
					<div class="form-row">
						<div class="form-group col-md-6">
							<label for="name">Name</label>
							<input class="form-control" id="name" name="name" type="text" placeholder="<?php echo $_SESSION['name'] ?? ''; ?>" required>
						</div>
						<div class="form-group col-md-6">
							<label for="email">Email</label>
							<input class="form-control" id="email" name="email" type="email" placeholder="<?php echo $_SESSION['email'] ?? ''; ?>" required>
						</div>
					</div>
					<div class="form-row">
						<div class="form-group col">
							<label for="quiz">Select quiz</label>
							<select class="form-control" id="quiz" name="quiz">
							<?php foreach( $quizzes_arr as $quiz_arr ){
								echo '<option value="' . $quiz_arr['id'] . '">' . $quiz_arr['name'] . '</option>';
							} ?>
							</select>
						</div>
					</div>
					<div class="form-row">
						<div class="col">
							<button type="submit" class="btn btn-primary">Start</button>
						</div>
					</div>
				</form>
			</main>
		</div>
	</body>
</html>
